> ## Documentation Index
> Fetch the complete documentation index at: https://docs.agentarea.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Fund Wallet

> Update the service budget amount.



## OpenAPI

````yaml /api-reference/openapi.json post /v1/agents/{agent_id}/wallet/fund
openapi: 3.1.0
info:
  description: >-
    Modular and extensible framework for building AI agents. This API requires
    JWT Bearer token authentication for most endpoints. Include your JWT token
    in the Authorization header. Public endpoints include /, /health, /docs,
    /redoc, and /openapi.json.
  title: AgentArea API
  version: 0.1.0
servers: []
security:
  - bearer: []
paths:
  /v1/agents/{agent_id}/wallet/fund:
    post:
      tags:
        - v1
        - protected
        - wallet
      summary: Fund Wallet
      description: Update the service budget amount.
      operationId: fund_wallet_v1_agents__agent_id__wallet_fund_post
      parameters:
        - in: path
          name: agent_id
          required: true
          schema:
            format: uuid
            title: Agent Id
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/FundWalletRequest'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WalletResponse'
          description: Successful Response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
      security:
        - HTTPBearer: []
components:
  schemas:
    FundWalletRequest:
      properties:
        service_budget_usd:
          title: Service Budget Usd
          type: number
      required:
        - service_budget_usd
      title: FundWalletRequest
      type: object
    WalletResponse:
      properties:
        agent_id:
          title: Agent Id
          type: string
        created_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Created At
        has_credentials:
          default: false
          title: Has Credentials
          type: boolean
        id:
          title: Id
          type: string
        mpp_config:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Mpp Config
        service_budget_period:
          title: Service Budget Period
          type: string
        service_budget_usd:
          title: Service Budget Usd
          type: number
        status:
          title: Status
          type: string
        updated_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Updated At
        wallet_type:
          title: Wallet Type
          type: string
        x402_config:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: X402 Config
      required:
        - id
        - agent_id
        - wallet_type
        - service_budget_usd
        - service_budget_period
        - status
      title: WalletResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        ctx:
          title: Context
          type: object
        input:
          title: Input
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    bearer:
      bearerFormat: JWT
      description: JWT Bearer token for authentication
      scheme: bearer
      type: http
    HTTPBearer:
      scheme: bearer
      type: http

````